﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace DataGridDemo
{
    public class OrderInfo
    {
        private int orderID;
        private string customerId;
        private string country;
        private string customerName;
        private string shippingCity;
        private ProductInfo productIno;

        public OrderInfo()
        {

        }
        public int OrderID
        {
            get { return orderID; }
            set { orderID = value; }
        }

        public string CustomerID
        {
            get { return customerId; }
            set { customerId = value; }
        }

        public string CustomerName
        {
            get { return customerName; }
            set { customerName = value; }
        }

        public string Country
        {
            get { return country; }
            set { country = value; }
        }

        public string ShipCity
        {
            get { return shippingCity; }
            set { shippingCity = value; }
        }

        public ProductInfo ProductInfo
        {
            get { return productIno; }
            set { productIno = value; }
        }

        public OrderInfo(int orderId, string customerName, string country, string
            customerId, string shipCity)
        {
            this.productIno = new ProductInfo();
            this.OrderID = orderId;
            this.CustomerName = customerName;
            this.Country = country;
            this.CustomerID = customerId;
            this.ShipCity = shipCity;
            this.ProductInfo.ProductID = orderId;
            this.ProductInfo.ProductName = orderId % 3 == 0 ? "Bike1" : "Bike2";
        }
    }
    public class ProductInfo
    {
        private int _productId;
        public int ProductID
        {
            get { return _productId; }
            set { _productId = value; }
        }

        private string _productName;
        public string ProductName
        {
            get { return _productName; }
            set { _productName = value; }
        }
    }
}
